-- Add a table for tracking reports of on-premises instances.

CREATE TABLE report_onprem (
       created TIMESTAMP WITHOUT TIME ZONE NOT NULL,
       deployment_id TEXT NOT NULL,
       tier TEXT NOT NULL,
       reporting_machines BOOLEAN DEFAULT FALSE,
       machine_count INTEGER DEFAULT 0
);
CREATE INDEX idx_report_onprem_deployment_id ON report_onprem(deployment_id);
