DROP TABLE IF EXISTS patch_blocklist;
CREATE TABLE patch_blocklist (
       id SERIAL,
       source TEXT NOT NULL,
       created TIMESTAMP WITH TIME ZONE NOT NULL,
       removed TIMESTAMP WITH TIME ZONE DEFAULT NULL,
       patch_version TEXT NOT NULL,
       kernel_version TEXT DEFAULT NULL,
       architecture TEXT DEFAULT NULL,
       comment TEXT
);
DROP INDEX IF EXISTS idx_patch_blocklist_patch_files;
CREATE INDEX idx_patch_blocklist_patch_files ON patch_blocklist (patch_version, kernel_version, architecture);
