CREATE TABLE patch_blocklist (
       id SERIAL,
       source TEXT NOT NULL,
       created TIMESTAMP WITH TIME ZONE NOT NULL,
       removed TIMESTAMP WITH TIME ZONE DEFAULT NULL,
       patch_files TEXT[] NOT NULL,
       patch_version TEXT NOT NULL,
       comment TEXT
);
CREATE INDEX idx_patch_blocklist_patch_files ON patch_blocklist USING GIN (patch_files);
